Paquet tar.gz - Forum Fedora

A voir également:Paquet tar.gzPaquets tar.gz in-installable! ✓ - Forum - Linux / Unix Installation d'un paquet .tar.gz sous debian - Forum - Debian Comment instaler un paquet tar.gz - Forum - Ubuntu Installer un paquet.debian.tar.gz - Forum - Linux / Unix Fichier tar.gz - Articles

Bonjour,

J'aimerai connaître la méthode pour installer un paquet TAR.GZ
Remerciements

Forum

A voir également:Paquet tar.gzPaquets tar.gz in-installable! ✓ - Forum - Linux / Unix Installation d'un paquet .tar.gz sous debian - Forum - Debian Comment instaler un paquet tar.gz - Forum - Ubuntu Installer un paquet.debian.tar.gz - Forum - Linux / Unix Fichier tar.gz - Articles

Web: www.shapebootstrap.net

12 réponses

Marsh

NOVEMBER 9, 2013 AT 9:15 PM

Reply

Marsh

NOVEMBER 9, 2013 AT 9:15 PM

Salut,
Généralement tu dois :
-D'abord décompresser (On parle de détarbalisé le fichier), la syntaxe est tar -zxvf nom-du-paquet.tar.gz
-À la suite tu dois configurer avec un ./configure ;
-Puis compiler avec make install .
Un compilateur doit être présent sur ta machine (moi je me sers de gcc ).
Bonne chance.

Reply
réponses:
  • auteur

    Bonjour,
    jusqu’à la configuration tout va bien. mais après si je reste sur le même répertoire ou que j'en sorte, le commande make ou make install ne fonctionne pas. Pourtant la commande make est installée sur mon ordinateur. ( je suis sous fédora 28)
    Merci de m'aider

Marsh

NOVEMBER 9, 2013 AT 9:15 PM

Salut

Avant toute chose, es-tu sûr que ce logiciel n'est pas disponible autrement ? logithèque ? Ou .rmp ?

Reply
réponses:
  • auteur

    Ce paquet ne peu être rmp, car je pourrais l'installer avec "yum install" ce qui n'est pas le cas. Au téléchargement le paquet porte le nom de : cinelerra-7-src.tar.xz, une fois décompresser ildevient : cinelerra-7.
    Voici le message que je reçois : thirdparty/openexr-1.6.1/IlmImf/ImfPxr24Compressor.cpp:73:10: erreur fatale: zlib.h : Aucun fichier ou dossier de ce type
    #include <zlib.h>
    ^~~~~~~~
    compilation terminée.

  • auteur

    Salut,

    Apparemment il te manque une bibliothèque (zlib). Vois dans tes dépôts ce qui pourrait y ressembler. Par exemple sous Mint :

    p   zlib-bin                                    - bibliothèque de compression - programmes d'exemples  
    p zlib-bin:i386 - bibliothèque de compression - programmes d'exemples
    p zlib-gst - interface Zlib pour GNU Smalltalk
    p zlib-gst:i386 - interface Zlib pour GNU Smalltalk
    i zlib1g - Bibliothèque de compression - binaires
    i zlib1g:i386 - Bibliothèque de compression - binaires
    p zlib1g-dbg - bibliothèque de compression - paquet de développement
    p zlib1g-dbg:i386 - bibliothèque de compression - paquet de développement
    i zlib1g-dev - bibliothèque de compression - paquet de développement
    p zlib1g-dev:i386 - bibliothèque de compression - paquet de développement
    p zlibc - bibliothèque C de décompression automatique à la volé
    p zlibc:i386 - bibliothèque C de décompression automatique à la volée

  • auteur

    Voici un essai avec YUM INSTALL :
    [[email protected] emichel]# yum install cinelerra-7
    Dernière vérification de l’expiration des métadonnées effectuée il y a 2:10:48 le lun. 16 juil. 2018 13:14:49 CEST.
    Aucune correspondance pour l’argument : cinelerra-7
    E

  • auteur

    J'ai avancé il me manque encore ceci :
    siod.cc: Dans la fonction « char** siod_variable_generator(char*, int) »:
    siod.cc:462:18: error: conversion invalide de « char » vers « char* » [-fpermissive]
    matches[i] = '\0';
    ^~~~
    siod.cc: Dans la fonction « char** siod_command_generator(char*, int) »:
    siod.cc:501:18: error: conversion invalide de « char » vers « char* » [-fpermissive]
    matches[i] = '\0';
    ^~~~
    make[3]: *** [../config/rules/c.mak:47: siod.o] Error 1
    make[2]: *** [config/rules/targets.mak:57: siod] Error 2
    make[2] : on quitte le répertoire « /home/emichel/cinelerra-6/thirdparty/speech_tools »
    make[1]: *** [build/Makefile.cinelerra:44: all] Error 2
    make[1] : on quitte le répertoire « /home/emichel/cinelerra-6 »
    make: *** [Makefile:2: all] Error 2

  • auteur

    J'ai un nouveau problème, le fichier tar ne s'ouvre pas :
    bash-4.4$ cd /home/emichel/CinelerraCV-2.3
    bash-4.4$ pwd
    /home/emichel/CinelerraCV-2.3
    bash-4.4$ tar -xvf CinelerraCV-2.3.tar.xz
    tar: CinelerraCV-2.3.tar.xz : open impossible: Aucun fichier ou dossier de ce type
    tar: Error is not recoverable: exiting now
    bash-4.4$

Marsh

NOVEMBER 9, 2013 AT 9:15 PM

Salut

Effectivement, sur le site du logiciel, il disent qu'il faut compiler pour fedora.

J'ai trouvé une procédure ici :

http://lifeofageekadmin.com/how-to-install-cinelerra-cv-on-fedora/

Reply

Marsh

NOVEMBER 9, 2013 AT 9:15 PM

Re bonjour,
enfin j'ai réussi a installer CINELERRA..?????
Mais j'ai un problème, quand je lance le programme que se sois par le lanceur du tableau d'affichage des application ou par la konsole, le résultat est le même.
Il apparaît un panneau d'initialisation de l'interface utilisateur.
Cela fait 2 heures, et rien ne s'est passé.
le pense le désinstallé ce programme, et le réinstallé.

Reply

Marsh

NOVEMBER 9, 2013 AT 9:15 PM

Après avoir désinstaller et réinstaller de programme . Il apparaît toujours un panneau d'initialisation de l'interface utilisateur. qui ne fonctionne pas.

Que dois je faire ??????????????

Merci pour votre aide.

Reply

Leave a Replay

Make sure you enter the(*)required information where indicate.HTML code is not allowed